import 'package:flutter/material.dart';
import 'package:flx_id_binder/enums/auth_permission.dart';
import 'package:flx_id_binder/models/token_model.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/flx_ui.dart';

class FlxAuthTheatre {
  static Future<TokenModel?> show({
    required BuildContext context,
    required String appId,
    required String appSecret,
    required List<AuthPermission> permissions,
  }) async {
    // remove dublicates at permissions

    var result = await showDialog<TokenModel?>(
      context: context,
      barrierDismissible: false,
      useSafeArea: false,
      barrierColor: Colors.transparent,
      builder: (BuildContext context) => FlxAuthDialog(
        child: MaterialApp(
          theme: FlxTheme.light(),
          darkTheme: FlxTheme.dark(),
          themeMode: Theme.of(context).brightness == Brightness.dark
              ? ThemeMode.dark
              : ThemeMode.light,
          home: FlxSplashScreen(
            signInfo: FlxSignInfoTunnelModel(
              appId: appId,
              appSecret: appSecret,
              permissions: permissions,
            ),
          ),
        ),
      ),
    );

    return result;
  }
}
