import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:flx_ui/components/components.dart';
import 'package:flx_ui/flx_ui.dart';

class FlxAchievementCard extends StatelessWidget {
  final String name;
  final String description;
  final Uint8List backgroundImage;
  final int score;

  const FlxAchievementCard({
    Key? key,
    required this.name,
    required this.description,
    required this.backgroundImage,
    required this.score,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlxDeepCard(
      child: Stack(
        children: [
          Positioned.fill(
            child: SizedBox(
              height: 60,
              child: ClipRRect(
                borderRadius: BorderRadius.circular(11),
                child: Opacity(
                  opacity: 0.1,
                  child: Image.network(
                    "https://lh3.googleusercontent.com/proxy/RN5AvVnl19l-7IRyQK6FH0Fhf_DGrVbfseqCRBxZxtGPeWqrXfXIvFsjr1c_2zpttn4lsLnuEIiQXtisthyfqzLNg-NuH5gNTBhPha_F8IO8jwPXnU-vgg",
                    fit: BoxFit.cover,
                  ),
                ),
              ),
            ),
          ),
          Padding(
            padding: EdgeInsets.all(5),
            child: Row(
              children: [
                SizedBox(
                  width: 50,
                  height: 50,
                  child: Center(
                    child: Icon(
                      Icons.emoji_events_rounded,
                      size: 40,
                      color: FlxColorTheme.accent(context),
                    ),
                  ),
                ),
                SizedBox(width: 10),
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Text(
                      name,
                      style: FlxTextTheme.subtitle(context),
                    ),
                    SizedBox(height: 5),
                    Text(description),
                  ],
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
