import 'package:flutter/material.dart';
import 'package:flx_ui/flx_ui.dart';

class FlxPermissionListItem extends StatelessWidget {
  const FlxPermissionListItem({
    required this.icon,
    required this.title,
    this.isImportant = false,
  });

  final IconData icon;
  final String title;
  final bool isImportant;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        border: Border(
          bottom: BorderSide(
            color: Colors.black12,
          ),
        ),
      ),
      child: Column(
        children: [
          Padding(
            padding: EdgeInsets.only(
              left: 15,
              right: 15,
              top: 11,
              bottom: 10,
            ),
            child: Row(
              children: [
                Icon(
                  icon,
                  color: FlxTextTheme.text(context).color,
                  size: 23,
                  semanticLabel: 'Text to announce in accessibility modes',
                ),
                SizedBox(width: 20),
                Text(
                  title,
                  style: FlxTextTheme.text(context).copyWith(
                    color: isImportant == Icons.info_outline_rounded
                        ? Colors.red
                        : FlxTextTheme.title(context).color,
                  ),
                  textAlign: TextAlign.start,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
