import 'package:flutter/material.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class FlxSignUpEmailScreen extends StatelessWidget {
  final FlxSignInfoTunnelModel signInfo;
  final FlxSignUpTunnelModel signUp;

  const FlxSignUpEmailScreen({
    Key? key,
    required this.signInfo,
    required this.signUp,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlxAuthScaffold(
      subtitle: "Sign Up",
      body: GetBuilder<FlxSignUpEmailController>(
        init: FlxSignUpEmailController(signInfo, signUp),
        builder: (controller) => Column(
          children: [
            Spacer(),
            FlxTextField(
              controller: controller.emailController,
              placeholder: 'E-mail',
            ),
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: FlxTextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            FlxSpaciousButton(
              text: 'Next',
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
