import 'package:flutter/material.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class FlxSignUpNamesScreen extends StatelessWidget {
  final FlxSignInfoTunnelModel signInfoModelNames;
  final FlxSignUpTunnelModel signUpModelNames;

  const FlxSignUpNamesScreen({
    Key? key,
    required this.signInfoModelNames,
    required this.signUpModelNames,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlxAuthScaffold(
      subtitle: "Sign Up",
      body: GetBuilder<FlxSignUpNamesController>(
        init: FlxSignUpNamesController(signInfoModelNames, signUpModelNames),
        builder: (controller) => Column(
          children: [
            Spacer(),
            Row(
              children: [
                Expanded(
                  child: FlxTextField(
                    controller: controller.firstNameController,
                    placeholder: 'First name',
                  ),
                ),
                SizedBox(width: 20),
                Expanded(
                  child: FlxTextField(
                    controller: controller.lastNameController,
                    placeholder: 'Second name',
                  ),
                ),
              ],
            ),
            SizedBox(height: 20),
            FlxTextField(
              controller: controller.nicknameController,
              placeholder: 'Nickname',
            ),
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: FlxTextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            FlxSpaciousButton(
              text: 'Next',
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
