import 'package:flutter/cupertino.dart';
import 'package:flx_id_binder/exceptions/client_api_exception.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:get/get.dart';
import 'package:flutter/material.dart';
import 'package:page_transition/page_transition.dart';

class FlxSignUpPasswordController extends GetxController {
  final passwordController = TextEditingController();
  final rePasswordController = TextEditingController();

  final FlxSignInfoTunnelModel signInfoModelPassword;
  final FlxSignUpTunnelModel signUpModelPassword;

  FlxSignUpPasswordController(
      this.signInfoModelPassword, this.signUpModelPassword);

  String? _errorMessage;
  String? get errorMessage => _errorMessage;

  validatePassword(String password) {
    var reg = RegExp(r'^[A-z0-9]');
    return !password.isEmpty &&
        password.length > 8 &&
        password.length < 256 &&
        reg.hasMatch(password);
  }

  validateSamePassword(String password, String rePassword) {
    return password == rePassword;
  }

  onSignUpButtonTap(BuildContext context) {
    var password = passwordController.text;
    var rePassword = rePasswordController.text;

    if (!validatePassword(password)) {
      _errorMessage = "Invalide password";
    } else if (!validateSamePassword(password, rePassword)) {
      _errorMessage = "Password are not same";
    } else {
      Navigator.push(
        context,
        PageTransition(
          type: PageTransitionType.fade,
          child: FlxSignUpSelectPhotoScreen(
            signInfo: signInfoModelPassword,
            signUp: FlxSignUpTunnelModel(
              firstName: signUpModelPassword.firstName,
              lastName: signUpModelPassword.lastName,
              nickname: signUpModelPassword.nickname,
              email: signUpModelPassword.email,
              password: password,
            ),
          ),
        ),
      );
    }
    update();
  }
}
