import 'package:flutter/material.dart';
import 'package:flx_id_binder/models/token_model.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:flx_ui/components/target/views/target_view.dart';
import 'package:flx_ui/flx_ui.dart';
import 'package:get/get.dart';

class FlxSignUpSelectPhotoScreen extends StatelessWidget {
  final FlxSignInfoTunnelModel signInfo;
  final FlxSignUpTunnelModel signUp;

  FlxSignUpSelectPhotoScreen({
    Key? key,
    required this.signInfo,
    required this.signUp,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlxAuthScaffold(
      subtitle: "Sign Up",
      body: GetBuilder<FlxSignUpSelectPhotoController>(
        init: FlxSignUpSelectPhotoController(signInfo, signUp),
        builder: (controller) => Column(
          children: [
            Spacer(),
            controller.errorMessage != null
                ? Text(
                    controller.errorMessage!,
                    style: FlxTextTheme.text(context).copyWith(
                      color: Colors.red,
                    ),
                  )
                : SizedBox(),
            SizedBox(height: 20),
            Text(
              'By clicking Register, you agree to the Terms, Data Policy and Cookie Policy. You can receive SMS notifications from us and you can unsubscribe from them at any time.',
              style: FlxTextTheme.caption(context).copyWith(
                color: Colors.grey[700],
              ),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
            FlxSpaciousButton(
              text: 'Sign Up',
              onTap: () => controller.onSignUpButtonTap(context),
            ),
          ],
        ),
      ),
    );
  }
}
